/***************************************************************************
                          fileviewimpl.h  -  description
                             -------------------
    begin                : Wed Mar 7 2001
    copyright            : (C) 2001 by Olaf Lueg
    email                : olaf.lueg@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILEVIEWIMPL_H
#define FILEVIEWIMPL_H

#include <qwidget.h>
#include <fileviewwidget.h>
#include <qlist.h>

/**
  *@author Olaf Lueg
  */
class QListViewItem;
//class QList;
class FileViewImpl : public FileView  {
   Q_OBJECT
public: 
	FileViewImpl(QWidget *parent=0, const char *name=0);
	~FileViewImpl();
	QList<QListViewItem>itemList;
	
	void getSelectedItems();
	QStringList getFiles();
	void insertFile(QString file);
	
	void resizeEvent(QResizeEvent);
public slots: // Public slots
  /** No descriptions */
  void slotAddFiles();
  void slotExecuteRpm();
  void slotCreateSpec();
  void slotRemoveFiles();
signals: // Signals
  /** No descriptions */
  void createSpec();
  void executeRpm();

};

#endif
